Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo.gui
Class ISurfaceGraphicGL

    java.lang.Object
      igeo.IGraphicObject
          igeo.gui.ISurfaceGraphicGL

All Implemented Interfaces:
  IGraphicI, ISubobject

    public class ISurfaceGraphicGL

extends IGraphicObject

Graphic subobject class to draw a surface object by OpenGL. It contains ISurfaceGraphicFillGL and ISurfaceGraphicWireframeGL inside.

Author:
  Satoru Sugihara

Field Summary
`ISurfaceGraphicFillGL` | `fill`
`ISurfaceGraphicWireframeGL` | `wireframe`

Fields inherited from class igeo.IGraphicObject
`color, colorRange1f, colorRange1i, colorRange2f, colorRange2i, colorRange3f, colorRange3i, colorRange4f, colorRange4i, parent, update, visible`

Constructor Summary
`ISurfaceGraphicGL(IObject obj, ISurfaceGeo srf)`
`ISurfaceGraphicGL(ISurface srf)`
`ISurfaceGraphicGL(ISurfaceR srf)`

Method Summary
`void` | `draw(IGraphics g)`
`float` | `getWeight()`
`boolean` | `isDrawable(IGraphicMode m)`
`void` | `setAttribute(IAttribute attr)`
`void` | `setColor(IColor c)`
`void` | `setWeight(float w)`
`void` | `update()` updating graphic when geometry change.

Methods inherited from class igeo.IGraphicObject
`getAWTColor, getColor, getColor, getColor, getColor, getColor, getColor, getColor, getColor, getColor, getColor, getColor, getHSBColor, getHSBColor, hide, isVisible, parent, parent, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setHSBColor, setHSBColor, setVisible, show, visible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fill

    public ISurfaceGraphicFillGL fill

### wireframe

    public ISurfaceGraphicWireframeGL wireframe

Constructor Detail

### ISurfaceGraphicGL

    public ISurfaceGraphicGL(ISurface srf)

### ISurfaceGraphicGL

    public ISurfaceGraphicGL(ISurfaceR srf)

### ISurfaceGraphicGL

    public ISurfaceGraphicGL(IObject obj,
                             ISurfaceGeo srf)

Method Detail

### setAttribute

    public void setAttribute(IAttribute attr)

  Overrides:
    `setAttribute` in class `IGraphicObject`

### setColor

    public void setColor(IColor c)

  Overrides:
    `setColor` in class `IGraphicObject`

### setWeight

    public void setWeight(float w)

  Overrides:
    `setWeight` in class `IGraphicObject`

### getWeight

    public float getWeight()

  Overrides:
    `getWeight` in class `IGraphicObject`

### update

    public void update()

  Description copied from class: `IGraphicObject`
  updating graphic when geometry change. actual update happens when it's drawn.

  Overrides:
    `update` in class `IGraphicObject`

### isDrawable

    public boolean isDrawable(IGraphicMode m)

  Specified by:
    `isDrawable` in interface `IGraphicI`
  Specified by:
    `isDrawable` in class `IGraphicObject`

### draw

    public void draw(IGraphics g)

  Specified by:
    `draw` in interface `IGraphicI`
  Specified by:
    `draw` in class `IGraphicObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD